/*
 * Class CONTAINER [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1795 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1795 [] = {0xFF01,1551,1794,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1795 [] = {0xFF01,1794,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1795 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1795 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1795 [] = {0xFF01,1794,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1795 [] = {0xFF01,1794,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1795 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1795 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1795 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1795 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1795 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1795 [] = {1794,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1795 [] = {0xFF01,1794,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1795 [] = {0xFF01,1792,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1795 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1795[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1795), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1795), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1795), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1795), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1795), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1795), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1795), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1795), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1795), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1795), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1795), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1795), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1795), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1795), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8629, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8632, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1795), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1795), -1, 0xFFFFFFFF},
};
void Init1795(void)
{
	IDSC(desc_1795, 0, 1794);
	IDSC(desc_1795 + 1, 1, 1794);
	IDSC(desc_1795 + 32, 1134, 1794);
}


#ifdef __cplusplus
}
#endif
